VERSION 5.00
Object = "{00025600-0000-0000-C000-000000000046}#4.6#0"; "CRYSTL32.OCX"
Begin VB.Form frmMailList 
   Caption         =   "Print Sorted Mailing List"
   ClientHeight    =   2910
   ClientLeft      =   1095
   ClientTop       =   1500
   ClientWidth     =   5610
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2910
   ScaleWidth      =   5610
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   495
      Left            =   4080
      TabIndex        =   9
      Top             =   1680
      Width           =   1215
   End
   Begin VB.CommandButton cmdReport 
      Caption         =   "&Print Report"
      Default         =   -1  'True
      Height          =   495
      Left            =   2400
      TabIndex        =   8
      Top             =   1680
      Width           =   1215
   End
   Begin VB.TextBox txtValue 
      Height          =   285
      Left            =   360
      TabIndex        =   7
      Top             =   1200
      Visible         =   0   'False
      Width           =   2055
   End
   Begin VB.Frame Frame1 
      Caption         =   "Select Page Number Format"
      Height          =   1215
      Left            =   3000
      TabIndex        =   4
      Top             =   240
      Width           =   2295
      Begin VB.OptionButton optPageNoType 
         Caption         =   "&1"
         Height          =   255
         Index           =   1
         Left            =   360
         TabIndex        =   6
         Top             =   720
         Width           =   1215
      End
      Begin VB.OptionButton optPageNoType 
         Caption         =   "&Page 1"
         Height          =   255
         Index           =   0
         Left            =   360
         TabIndex        =   5
         Top             =   360
         Value           =   -1  'True
         Width           =   1215
      End
   End
   Begin VB.PictureBox Picture1 
      Align           =   2  'Align Bottom
      BackColor       =   &H00C0C0C0&
      Height          =   495
      Left            =   0
      ScaleHeight     =   435
      ScaleWidth      =   5550
      TabIndex        =   1
      Top             =   2415
      Width           =   5610
      Begin VB.Label lblStatus 
         BackColor       =   &H00C0C0C0&
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   120
         Width           =   6495
      End
   End
   Begin VB.ComboBox lstReportType 
      Height          =   300
      ItemData        =   "maillist.frx":0000
      Left            =   360
      List            =   "maillist.frx":0002
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   480
      Width           =   2055
   End
   Begin Crystal.CrystalReport CrystalReport1 
      Left            =   0
      Top             =   1800
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   262150
      ReportFileName  =   "d:\winword\writing\database\crystal\maillist.rpt"
      WindowControlBox=   -1  'True
      WindowMaxButton =   -1  'True
      WindowMinButton =   -1  'True
   End
   Begin VB.Label Label1 
      Caption         =   "&Select Report Type:"
      Height          =   195
      Left            =   360
      TabIndex        =   10
      Top             =   240
      Width           =   2055
   End
   Begin VB.Label lblInstruction 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   360
      TabIndex        =   3
      Top             =   960
      Visible         =   0   'False
      Width           =   45
   End
End
Attribute VB_Name = "frmMailList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdQuit_Click()
    End
End Sub

Private Sub cmdReport_Click()
    Dim ZipDigits As String
    
    lblStatus.Caption = "Setting report options. Please wait..."
    DoEvents
    
    Select Case lstReportType.Text
        Case "City"
            'Set the filter and title for the report
            If Len(txtValue) Then
                CrystalReport1.SelectionFormula = "{Mailing LIst.CITY}= '" & txtValue & "'"
                CrystalReport1.Formulas(0) = "ReportTitle= 'Mailing List for City of " & txtValue & "'"
            Else
                CrystalReport1.SelectionFormula = ""
                CrystalReport1.Formulas(0) = "ReportTitle= 'Full City Mailing List'"
            End If
            
            'Set the sort order and clear second element
            CrystalReport1.SortFields(0) = "+{Mailing LIst.CITY}"
            CrystalReport1.SortFields(1) = "+{Mailing LIst.ZIP}"
            CrystalReport1.SortFields(2) = ""
        
        Case "State"
            'Set the filter and title for the report
            If Len(txtValue) Then
                CrystalReport1.SelectionFormula = "{Mailing LIst.STATE}= '" & txtValue & "'"
                CrystalReport1.Formulas(0) = "ReportTitle= 'Mailing List for State of " & txtValue & "'"
            Else
                CrystalReport1.SelectionFormula = "{Mailing LIst.STATE}= {Mailing LIst.STATE}"
                CrystalReport1.Formulas(0) = "ReportTitle= 'Full State Mailing List'"
            End If
            
            'Set the sort order
            CrystalReport1.SortFields(0) = "+{Mailing LIst.STATE}"
            CrystalReport1.SortFields(1) = "+{Mailing LIst.CITY}"
            CrystalReport1.SortFields(2) = "+{Mailing LIst.ZIP}"

        Case "Zip"
            'Set the filter and title for the report
            If Len(txtValue) Then
                ZipDigits = Trim(Str(Len(txtValue)))
                CrystalReport1.SelectionFormula = "{Mailing LIst.ZIP}[1 to " & ZipDigits & "]= '" & txtValue & "'"
                CrystalReport1.Formulas(0) = "ReportTitle= 'Mailing List for Zip Code " & txtValue & "'"
            Else
                CrystalReport1.SelectionFormula = "{Mailing LIst.ZIP}= {Mailing LIst.ZIP}"
                CrystalReport1.Formulas(0) = "ReportTitle= 'Full Zip Code Mailing List'"
            End If
            
            'Set the sort order
            CrystalReport1.SortFields(0) = "+{Mailing List.ZIP}"
            CrystalReport1.SortFields(1) = ""
            CrystalReport1.SortFields(2) = ""
    End Select

    'Print the report
    lblStatus.Caption = "Printing the report. Please wait..."
    DoEvents
    CrystalReport1.Action = 1
       
    lblStatus.Caption = "Enter new selections and print or quit."
    DoEvents
    
End Sub

Private Sub Form_Load()
    'Load the lstReportType list box
    lstReportType.Clear
    lstReportType.AddItem "City"
    lstReportType.AddItem "State"
    lstReportType.AddItem "Zip"
    
    lblStatus.Caption = "Select a report type."
    'Set the report file name
    CrystalReport1.ReportFileName = App.Path & "\MAILLIST.RPT"
    'Set the initial value of the page format
    optPageNoType_Click (0)
End Sub

Private Sub lstReportType_Click()
    If Len(lstReportType.Text) Then
        Select Case lstReportType.Text
            Case "City"
                lblInstruction.Caption = "&Enter the City name:"
                lblStatus.Caption = "Enter a city name or blank for all."
            Case "State"
                lblInstruction.Caption = "&Enter the State name:"
                lblStatus.Caption = "Enter a state name or blank for all."
            Case "Zip"
                lblInstruction.Caption = "&Enter the Zip Code:"
                lblStatus.Caption = "Enter a zip code or blank for all."
        End Select
    
        txtValue.Text = ""
        
        lblInstruction.Visible = True
        txtValue.Visible = True
        
        txtValue.SetFocus
        
    Else
        lblInstruction.Visible = False
        txtValue.Text = ""
        txtValue.Visible = False
    End If
    
End Sub

Private Sub optPageNoType_Click(Index As Integer)
    'Set the page number format
    Select Case Index
        Case 0
            CrystalReport1.Formulas(1) = "PageFooter= 'Page ' + ToText(PageNumber, 0)"
        Case 1
            CrystalReport1.Formulas(1) = "PageFooter= ToText(PageNumber, 0)"
    End Select

End Sub

