VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Object = "{00025600-0000-0000-C000-000000000046}#4.6#0"; "CRYSTL32.OCX"
Begin VB.Form frmAuthors 
   Caption         =   "Author Birth Range"
   ClientHeight    =   1575
   ClientLeft      =   1815
   ClientTop       =   1515
   ClientWidth     =   4185
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1575
   ScaleWidth      =   4185
   Begin VB.TextBox txtEnd 
      Height          =   285
      Left            =   1200
      TabIndex        =   5
      Top             =   960
      Width           =   1215
   End
   Begin VB.TextBox txtStart 
      Height          =   285
      Left            =   1200
      TabIndex        =   2
      Top             =   360
      Width           =   1215
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "Quit"
      Height          =   495
      Left            =   2760
      TabIndex        =   1
      Top             =   840
      Width           =   1215
   End
   Begin VB.CommandButton cmdReport 
      Caption         =   "Run Report"
      Default         =   -1  'True
      Height          =   495
      Left            =   2760
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
   Begin MSComDlg.CommonDialog cdOpenReport 
      Left            =   600
      Top             =   1200
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327680
      DefaultExt      =   "rpt"
      DialogTitle     =   "Select Crystal Report"
      Filter          =   "Reports (*.rpt)|*.rpt|All Files (*.*)|*.*"
      InitDir         =   "c:\vb\report"
   End
   Begin Crystal.CrystalReport crptAuthors 
      Left            =   0
      Top             =   1200
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   262150
      WindowControlBox=   -1  'True
      WindowMaxButton =   -1  'True
      WindowMinButton =   -1  'True
   End
   Begin VB.Label Label2 
      Caption         =   "End Year:"
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   960
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Start Year:"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   360
      Width           =   855
   End
End
Attribute VB_Name = "frmAuthors"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdQuit_Click()
    Unload Me
End Sub

Private Sub cmdReport_Click()
    Dim strSelectCritera As String
    Dim strDbName As String
    Static strSaveDir As String
    
    'Check for errors in the input year boxes
    If (Val(txtStart.Text) > Val(txtEnd.Text)) And Val(txtEnd.Text) Then
        MsgBox "Start year must be before End year."
        Exit Sub
    End If
    If Val(txtStart.Text) And Val(txtStart.Text) < 1850 And Val(txtStart.Text) > Year(Now) Then
        MsgBox "Please enter a start year in the range 1850 to " & Year(Now)
        Exit Sub
    End If
    If Val(txtEnd.Text) And Val(txtEnd.Text) < 1850 And Val(txtEnd.Text) > Year(Now) Then
        MsgBox "Please enter an ending year in the range 1850 to " & Year(Now)
        Exit Sub
    End If
    
    'Get the file to print using Common Dialog
    cdOpenReport.InitDir = strSaveDir
    cdOpenReport.ShowOpen
    
    'Let's be nice and "remember" the directory for the next use
    strSaveDir = cdOpenReport.filename
    
    If Len(cdOpenReport.filename) Then
        'Adding the data to the control
        crptAuthors.Destination = 0 'To Window
        crptAuthors.ReportFileName = cdOpenReport.filename
        If Len(txtStart.Text) And Len(txtEnd.Text) Then
            'Year range entered
            strSelectCritera = "{Authors.Year Born} in " & _
                txtStart.Text & " to " & txtEnd.Text
        ElseIf Len(txtStart.Text) And Len(txtEnd.Text) = 0 Then
            'Only starting year selected
            strSelectCritera = "{Authors.Year Born} >= " & _
                txtStart.Text
        ElseIf Len(txtStart.Text) = 0 And Len(txtEnd.Text) Then
            strSelectCritera = "{Authors.Year Born} <= " & _
                txtEnd.Text
        Else
            'Both boxes are emtpy; don't limit range
            strSelectCritera = ""
        End If
        crptAuthors.SelectionFormula = strSelectCritera
                
        ' Get the Biblio.mdb database location
        strDbName = strBiblioDb()
        ' Assign the data file location for the report
        crptAuthors.DataFiles(0) = strDbName
        
        'Run the report
        crptAuthors.Action = 1
    Else
        'User pressed Cancel in Common Dialog
        MsgBox "No report file selected."
    End If
End Sub

Private Sub Form_Load()
    'Move the form to the lower right of screen
    Me.Move Screen.Width - 1.1 * Me.Width, _
        Screen.Height - 1.25 * Me.Height
End Sub

